# peach-sbotcli

Rust wrapper around the Go `sbotcli` ScuttleButt tool ([cryptoscope/ssb](https://github.com/cryptoscope/ssb)), allowing interaction with a `gosbot` instance.

## Example

```rust
let id = "@p13zSAiOpguI9nsawkGijsnMfWmFd5rlUNpzekEE+vI=.ed25519";

let follow_ref = peach_sbotcli::follow(id)?;
let block_ref = peach_sbotcli::block(id)?;

let invite_code = peach_sbotcli::create_invite()?;
```

## Documentation

Use `cargo doc` to generate and serve the Rust documentation for this library:

```bash
git clone https://git.coopcloud.tech/PeachCloud/peach-sbotcli.git
cd peach-sbotcli
cargo doc --no-deps --open
```

## License

AGPL-3.0
